GDCM: vtkGDCMTesting Class Reference

GDCM 3.2.11

Public Types | Public Member Functions | Static Public Member Functions | Protected Member Functions | List of all members
vtkGDCMTesting Class Reference

`#include <vtkGDCMTesting.h>`

Inheritance diagram for vtkGDCMTesting:
[legend]
Collaboration diagram for vtkGDCMTesting:
[legend]

## Public Types
typedef const char *const (* | MD5MetaImagesType)[3]

## Public Member Functions
void | PrintSelf (ostream &os, vtkIndent indent)
| vtkTypeMacro (vtkGDCMTesting, vtkObject)

## Static Public Member Functions
static const char * | GetGDCMDataRoot ()
static const char *const * | GetMD5MetaImage (unsigned int file)
static const char * | GetMHDMD5FromFile (const char *filepath)
static unsigned int | GetNumberOfMD5MetaImages ()
static const char * | GetRAWMD5FromFile (const char *filepath)
static const char * | GetVTKDataRoot ()
static vtkGDCMTesting * | New ()

## Protected Member Functions
| vtkGDCMTesting ()
| ~vtkGDCMTesting ()

## Detailed Description

Examples
  HelloActiviz5.cs, HelloVTKWorld2.cs, MetaImageMD5Activiz.cs, ReadSeriesIntoVTK.java, and RefCounting.cs.

## Member Typedef Documentation

## ◆ MD5MetaImagesType

typedef const char* const(* vtkGDCMTesting::MD5MetaImagesType)[3]

## Constructor & Destructor Documentation

## ◆ vtkGDCMTesting()

vtkGDCMTesting::vtkGDCMTesting | ( |  | ) |
| protected

Examples
  ReadSeriesIntoVTK.java, and RefCounting.cs.

Referenced by ~vtkGDCMTesting(), New(), and vtkTypeMacro().

## ◆ ~vtkGDCMTesting()

vtkGDCMTesting::~vtkGDCMTesting | ( |  | ) |
| protected

References vtkGDCMTesting().

## Member Function Documentation

## ◆ GetGDCMDataRoot()

const char * vtkGDCMTesting::GetGDCMDataRoot | ( |  | ) |
| static

Examples
  HelloActiviz5.cs, and ReadSeriesIntoVTK.java.

## ◆ GetMD5MetaImage()

const char *const * vtkGDCMTesting::GetMD5MetaImage | ( | unsigned int | file | ) |
| static

## ◆ GetMHDMD5FromFile()

const char * vtkGDCMTesting::GetMHDMD5FromFile | ( | const char * | filepath | ) |
| static

Examples
  MetaImageMD5Activiz.cs.

## ◆ GetNumberOfMD5MetaImages()

unsigned int vtkGDCMTesting::GetNumberOfMD5MetaImages | ( |  | ) |
| static

## ◆ GetRAWMD5FromFile()

const char * vtkGDCMTesting::GetRAWMD5FromFile | ( | const char * | filepath | ) |
| static

Examples
  MetaImageMD5Activiz.cs.

## ◆ GetVTKDataRoot()

const char * vtkGDCMTesting::GetVTKDataRoot | ( |  | ) |
| static

Examples
  HelloActiviz5.cs, and HelloVTKWorld2.cs.

## ◆ New()

vtkGDCMTesting * vtkGDCMTesting::New | ( |  | ) |
| static

Examples
  RefCounting.cs.

References vtkGDCMTesting().

## ◆ PrintSelf()

void vtkGDCMTesting::PrintSelf | ( | ostream & | os,
|  | vtkIndent | indent )

## ◆ vtkTypeMacro()

vtkGDCMTesting::vtkTypeMacro | ( | vtkGDCMTesting | ,
|  | vtkObject | )

References vtkGDCMTesting().

The documentation for this class was generated from the following file:

- vtkGDCMTesting.h